### Method

# Gegl Rectangle align_to_buffer

#### Declaration [src]

    gboolean
    gegl_rectangle_align_to_buffer (
      GeglRectangle* destination,
      const GeglRectangle* rectangle,
      GeglBuffer* buffer,
      GeglRectangleAlignment alignment
    )

#### Description [src]

Aligns `rectangle` to the tile grid of `buffer`, and stores the result in `destination`.

`alignment` has the same meaning as for gegl_rectangle_align().

`destination` may point to the same object as `rectangle`.

Returns TRUE if the result is not empty.

#### Parameters

`rectangle`

  Type: `GeglRectangle`

  A `GeglRectangle`.

  The data is owned by the caller of the method.

`buffer`

  Type: `GeglBuffer`

  A `GeglBuffer`.

  The data is owned by the caller of the method.

`alignment`

  Type: `GeglRectangleAlignment`

  A `GeglRectangleAlignment` value.

#### Return value

Type: `gboolean`

No description available.